Loading...
Searching...
No Matches
sensors::AlertedSensorManager::MonitoredSensorsChangedEvent Struct Reference

Event: A change in the list of monitored sensors occurred. More...

`import <AlertedSensorManager.idl;`

Inheritance diagram for sensors::AlertedSensorManager::MonitoredSensorsChangedEvent:

## Public Attributes

SensorCounts | counts
| Sensor statistics after the change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A change in the list of monitored sensors occurred.

This event is fired when sensors are added to or removed from the list of monitored sensors. It is not fired when a monitored sensor's alert state changes.

Definition at line 53 of file AlertedSensorManager.idl.

## Member Data Documentation

## counts

SensorCounts sensors::AlertedSensorManager::MonitoredSensorsChangedEvent::counts

Sensor statistics after the change.

Definition at line 54 of file AlertedSensorManager.idl.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl